package com.fjhx.params.stock;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class PickingTrackingNumStatisticsResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 指定领料
     */
    private int appointNum;

    /**
     * 实际领料卷数
     */
    private int actualNum;

    /**
     * 指定未领料
     */
    private int appointNotClaimedNum;

    /**
     * 额外领料卷数
     */
    private int additionalNum;

    /**
     * 排班米数
     */
    private BigDecimal planMeter;

    /**
     * 指定米数
     */
    private BigDecimal appointMeter;

    /**
     * 实际领料米数
     */
    private BigDecimal actualMeter;

    /**
     * 排班面积
     */
    private BigDecimal planArea;

    /**
     * 指定面积
     */
    private BigDecimal appointArea;

    /**
     * 实际领料面积
     */
    private BigDecimal actualArea;

    /**
     * 指定产出比
     */
    private BigDecimal appointOutputRatio;

    /**
     * 实际产出比
     */
    private BigDecimal actualOutputRatio;

    /**
     * 产出比差额
     */
    private BigDecimal outputRatioDifference;


    public BigDecimal getPlanMeter() {
        return planMeter == null ? BigDecimal.ZERO : planMeter;
    }

    public BigDecimal getAppointMeter() {
        return appointMeter == null ? BigDecimal.ZERO : appointMeter;
    }

    public BigDecimal getActualMeter() {
        return actualMeter == null ? BigDecimal.ZERO : actualMeter;
    }

    public BigDecimal getPlanArea() {
        return planArea == null ? BigDecimal.ZERO : planArea;
    }

    public BigDecimal getAppointArea() {
        return appointArea == null ? BigDecimal.ZERO : appointArea;
    }

    public BigDecimal getActualArea() {
        return actualArea == null ? BigDecimal.ZERO : actualArea;
    }

    public BigDecimal getAppointOutputRatio() {
        return appointOutputRatio == null ? BigDecimal.ZERO : appointOutputRatio;
    }

    public BigDecimal getActualOutputRatio() {
        return actualOutputRatio == null ? BigDecimal.ZERO : actualOutputRatio;
    }

    public BigDecimal getOutputRatioDifference() {
        return outputRatioDifference == null ? BigDecimal.ZERO : outputRatioDifference;
    }

}
